Name: routino
Summary: Router for OpenStreetMap Data
Version: 2.1
Release: 2%{?dist}
License: AGPLv3+
Group: Applications/Productivity
URL: http://www.routino.org/
Source0: http://www.routino.org/download/routino-%{version}.tgz
# documentation for how to set up Routino for use with Marble
Source1: README-MARBLE.txt
# customizations/fixes to the (handwritten) makefiles
Patch0: routino-2.1-makefiles.patch
# remove references to INSTALL.txt/installation.html which we don't ship
Patch1: routino-1.5.1-no-install-doc.patch
# fix filedumper.c printf format string warnings (fatal on 64-bit BE platforms)
Patch2: routino-2.1-filedumper-printf.patch
BuildRequires: flex
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Routino is a command-line application for finding a route between two points
using the dataset of topographical information collected by OpenStreetMap. It
can be used as a routing tool in Marble.

%prep
%setup -q
cp -p %{SOURCE1} doc/
%patch0 -p1 -b .makefiles
%patch2 -p1 -b .filedumper-printf
# Get rid of installation documentation which is not applicable to the RPM
%patch1 -p1 -b .no-install-doc
rm -f INSTALL.txt doc/INSTALL.txt doc/html/installation.html
# The web stuff needs more work to be packaged. The makefiles will copy things
# into the web directory if it's present, so get rid of it now.
rm -rf web

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}-*
%{_datadir}/%{name}/

%changelog
* Sat Oct 15 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.1-2
- Fix filedumper.c printf format string warnings (fatal on 64-bit BE platforms)

* Sat Oct 15 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.1-1
- Update to 2.1 (#742903)
- README-MARBLE.txt: update: data files from 2.0(.x) versions no longer work
- Rebase makefiles patch and fix 3 new makefile errors

* Fri Aug 05 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.0.3-1
- Update to 2.0.3 (#728490, bugfix release)

* Mon Jul 11 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.0.2-1
- Update to 2.0.2 (#716876, bugfix release)
- Rebase makefiles patch

* Sun Jun 12 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.0.1-2
- README-MARBLE.txt: update version number references

* Thu Jun 09 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.0.1-1
- Update to 2.0.1 (#709309, bugfix release)
- Drop planetsplitter-segfault patch (fixed upstream)

* Tue May 31 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.0-3
- README-MARBLE.txt: update time indication (planetsplitter is faster in 2.0)

* Tue May 31 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.0-2
- README-MARBLE.txt: mention that data files from old versions no longer work
- Fix segmentation fault in planetsplitter (at least on austria.osm)

* Tue May 31 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.0-1
- Update to 2.0 (#709309, adds turn restriction support among other things)

* Tue Apr 26 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.5.1-5
- README-MARBLE.txt: clarify minimum Marble version (1.0.0 / kdeedu 4.6.0)

* Mon Apr 25 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.5.1-4
- Better Group and BuildRoot tags (Volker Fröhlich)
- Add -b to the patch invocation (suggested by Volker Fröhlich)
- Add a README-MARBLE.txt documenting how to set up Routino for use with Marble
- Get rid of installation documentation which is not applicable to the RPM

* Mon Apr 25 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.5.1-3
- Use install -p instead of cp -pf to install executables, to ensure 755 perms

* Sun Apr 24 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.5.1-2
- Install ChangeLog

* Sat Apr 23 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.5.1-1
- Initial Fedora package
